import '../../../utils/index.mjs';
import '../../row/index.mjs';
import { buildProps, definePropType } from '../../../utils/vue/props/runtime.mjs';
import { rowProps } from '../../row/src/row.mjs';

const _rowProps = buildProps({
  gutter: rowProps.gutter
});
const customProps = buildProps({
  columns: {
    type: definePropType(Array),
    default: () => [],
    required: true
  },
  modelData: {
    type: Object,
    required: true
  }
});
var FormProps = {
  ..._rowProps,
  ...customProps
};

export { FormProps as default };
//# sourceMappingURL=constant.mjs.map
