import type { Ref } from 'vue';
import type { MgFormProps } from './mg-form';
import type { Justify, MgFormItem } from './constant';
export declare const useGetColumns: (props: MgFormProps) => Ref<Array<MgFormItem>>;
export declare const useCheckComShow: (item: MgFormItem, name: string) => boolean;
export declare const useGetFormAttr: () => import("vue").ComputedRef<Record<string, unknown>>;
export declare const useGetFormItemAttr: (v: MgFormItem) => any;
export declare const useActionIsRight: (v: MgFormItem) => boolean;
export declare const useVaildJustify: (v: MgFormItem, j: Justify) => boolean;
export declare const useGetActionItemSpan: (columns: Array<MgFormItem>, index?: number) => number;
export declare const useGetItemSpan: (columns: Array<MgFormItem>, v: MgFormItem, index?: number) => number;
export declare const useGetItemOriginCfg: (v: MgFormItem) => MgFormItem;
