'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('../../../utils/index.js');
require('../../row/index.js');
var runtime = require('../../../utils/vue/props/runtime.js');
var row = require('../../row/src/row.js');

const _rowProps = runtime.buildProps({
  gutter: row.rowProps.gutter
});
const customProps = runtime.buildProps({
  columns: {
    type: runtime.definePropType(Array),
    default: () => [],
    required: true
  },
  modelData: {
    type: Object,
    required: true
  }
});
var FormProps = {
  ..._rowProps,
  ...customProps
};

exports["default"] = FormProps;
//# sourceMappingURL=constant.js.map
